# - Config file for the mapserver package
# It defines the following variables
#  MAPSERVER_INCLUDE_DIRS - include directories for mapserver
#  MAPSERVER_LIBRARIES    - libraries to link against
#  MAPSERVER_EXECUTABLES  - executables build for mapserver

# Compute paths
get_filename_component(MAPSERVER_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
set(MAPSERVER_INCLUDE_DIRS "${MAPSERVER_CMAKE_DIR}/${MAPSERVER_CMAKE_DIR}/../../../include;${MAPSERVER_CMAKE_DIR}/../../../include/freetype2;${MAPSERVER_CMAKE_DIR}/../../../include/fribidi;${MAPSERVER_CMAKE_DIR}/../../../include/harfbuzz;${MAPSERVER_CMAKE_DIR}/../../../include/cairo;${MAPSERVER_CMAKE_DIR}/../../../include/postgresql/server;${MAPSERVER_CMAKE_DIR}/../../../include/librsvg-2.0;${MAPSERVER_CMAKE_DIR}/../../../include/gdk-pixbuf-2.0;${MAPSERVER_CMAKE_DIR}/../../../include/webp;${MAPSERVER_CMAKE_DIR}/../../../include/libxml2;${MAPSERVER_CMAKE_DIR}/../../../include/pango-1.0;${MAPSERVER_CMAKE_DIR}/../../../include/pixman-1;${MAPSERVER_CMAKE_DIR}/../../../include/libpng16;${MAPSERVER_CMAKE_DIR}/../../../include/glib-2.0;${MAPSERVER_CMAKE_DIR}/../../../lib/glib-2.0/include;include;include/mapserver")

# Our library dependencies (contains definitions for IMPORTED targets)
if(NOT TARGET mapserver AND NOT MapServer_BINARY_DIR)
  include("${MAPSERVER_CMAKE_DIR}/mapserverTargets.cmake")
endif()

# These are IMPORTED targets created by mapserverTargets.cmake
set(MAPSERVER_LIBRARIES mapserver)
set(MAPSERVER_EXECUTABLES sortshp shptree shptreevis msencrypt legend scalebar tile4ms shptreetst map2img mapserv)
